<!DOCTYPE=html>
<html lang="en">
<head>
  <link rel="stylesheet" href="custom.css">
  <link href="icons/css/all.css" rel="stylesheet">
  <link href="icons/Academicons/css/academicons.css" rel="stylesheet">
<style>
:root{
  --colour-page: var(--colour-unige);
}

body {
	margin: 0;
	font-family: Arial, Helvetica, sans-serif;
}

.sidebar {
  background-image: linear-gradient(to bottom, rgb(0,0,0,0),rgb(0,0,0,0),var(--colour-page)),
  url(img/MINT_provably_TriIntersectRF_20201005.svg);
}

.sidebar-background {
  background-image: none;
}  

dt {
    font-weight: bold;
    padding: 5px;
}

dd {
    text-align: justify;
}
</style>
</head>

<body>

<div class="sidebar">
  <div class="sidebar-background" title="Sidebar">
    <a href="index.html" title="Home">
      <i class="fas fa-home fa-fw"></i>Home
    </a>
    <a href="publications.html" title="Publications">
      <i class="fas fa-copy fa-fw"></i>Publications
    </a>
    <a href="presentations.html" title="Presentations">
      <i class="fas fa-photo-video fa-fw"></i>Presentations
    </a>
    <a href="ongoing.html" title="Ongoing">
      <i class="fas fa-microscope fa-fw"></i>Ongoing
    </a>
    <a href="code.html" title="Code">
      <i class="fas fa-code fa-fw"></i>Code
    </a>
  </div>
</div>

<div class="main">

<div class="topbox" title="Header">
  <div class="topbox-heading" alt="Conor McCoid">
    <h1>Conor McCoid</h1>
      <h3>Code</h3>
  </div>
</div>

<div class="main-content">

<dl>
  <dt><a href="code/PSIM.m">PSIM.m</a></dt>
  <dd>This algorithm is described in detail in "Preconditioning of spectral methods via Birkhoff interpolation" (see Publications).
   An example of its usage is presented <a href="interact/PSIM/html/examplePSIM.html">here</a>.
  </dd>

  <dt><a href="code/Intersect.m">Intersect.m</a></dt>
  <dd>See the preprint "A provably robust algorithm for triangle-triangle intersections in floating point arithmetic" for more information (filed under Publications).
   A working example is presented <a href="interact/triangles/html/exampleCircle.html">here</a>.
  </dd>
</dl>

</div>

<div class="bottombox" alt="footer" title="Footer">
  <div class="bottombox-column" title="logo">
    <img src="img/unige_logo.svg">
  </div>
  <div class="bottombox-column">
    <h3>Address</h3>
    <p>Office 605</p>
    <p>Rue du Conseil-G&eacute;n&eacute;ral 7-9</p>
    <p>1205 Gen&egrave;ve</p>
    <p>Switzerland</p>
  </div>
  <div class="bottombox-column">
    <h3>Contact</h3>
    <p><i class="fas fa-envelope"></i> conor.mccoid@unige.ch</p> <br>
    <!-- <p><i class="fas fa-phone"></i> +41 22 379 11 60</p> -->
  </div>
  <div class="bottombox-column">
    <h3>Academic Profiles</h3>
    <p><i class="fab fa-orcid"></i> <a href="https://orcid.org/0000-0002-2592-5005">ORCID</a></p> <br>
    <!-- <p><div itemscope itemtype="https://schema.org/Person"><a itemprop="sameAs" content="https://orcid.org/0000-0002-2592-5005" href="https://orcid.org/0000-0002-2592-5005" target="orcid.widget" rel="me noopener noreferrer" style="vertical-align:top;"><img src="https://orcid.org/sites/default/files/images/orcid_16x16.png" style="width:1em;margin-right:.5em;" alt="ORCID iD icon">https://orcid.org/0000-0002-2592-5005</a></div></p> <br> -->
  </div>
</div>

</div>

</body>
</html>
